sc::GetLongOpt(3)

NAME
sc::GetLongOpt -

SYNOPSIS

  Classes
struct Cell

  Public Types
enum OptType { NoValue, OptionalValue, MandatoryValue }

  Public Member Functions
GetLongOpt (const char optmark= '-')
int parse (int argc, char *const *argv)
int parse (char *const str, char *const p)
int enroll (const char *const opt, const OptType t, const char *const desc, const char *const val)
const char * retrieve (const char *const opt) const
void usage (std::ostream &outfile=std::cout) const
void usage (const char *str)

Author

Generated automatically by Doxygen for MPQC from the source code.